Event findings
Get Event Finding
Fetches detailed information about a specific finding related to an event, identified by the event's slug and the finding's unique identifier.
Authorization
http AuthorizationBasic <token>
Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
event_slug*string
The slug of the event associated with the finding
finding_id*integer
The unique identifier of the finding to retrieve
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.ethiack.com/v1/events/string/findings/0"{
"id": 0,
"title": "string",
"md": null,
"html": null,
"asset_id": null,
"asset_value": "string",
"status": 0,
"previous_status": null,
"requested_score": null,
"event_id": null,
"severity": "none",
"priority": 0,
"score": null,
"cve": null,
"cvss_vector": null,
"created": "2019-08-24T14:15:22Z"
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}Verify Domain ownership POST
Verifies domain ownership through DNS TXT record validation.
Get Retest Information GET
Retrieves the status of retest job of a specific finding. > **Info**: Retesting is used to update the status of a finding, enabling the > user to check if the finding is still valid or has been resolved.